package com.colorful.keyboard.theme.config_adpter;


import android.content.Context;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.chad.library.adapter4.BaseQuickAdapter;
import com.chad.library.adapter4.viewholder.QuickViewHolder;
import com.colorful.keyboard.theme.R;
import com.colorful.keyboard.theme.model.ThemeListModel;

public class TestAdapter extends BaseQuickAdapter<ThemeListModel, QuickViewHolder> {

    @Override
    protected void onBindViewHolder(@NonNull QuickViewHolder quickViewHolder, int i, @Nullable ThemeListModel s) {
        TextView textView = quickViewHolder.getView(R.id.tv_theme);
        textView.setText(s.getName());
    }

    @NonNull
    @Override
    protected QuickViewHolder onCreateViewHolder(@NonNull Context context, @NonNull ViewGroup viewGroup, int i) {
        return new QuickViewHolder(R.layout.item_photo_info,viewGroup);
    }

}
